<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
//loadJS('jquery-validate');
//loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela finalidade=$finalidade  Ano amostra=$anoAmostra  amostraLong=$amostraLong<br>");

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;	
	//echo('passando na 38<br>');	
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('inicio', $ultima);
	$sessao->setVar('final', $ultima);
	//$sessao->setVar('idCultivar',$idCultivar);
	//$sessao->setVar('idProdutor',$idProdutor);
	//$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
	//$sessao->setVar('final',$ultima);//precisa isso pois ao voltar da gestao de fichas o intervalo fica memorizado na sessao
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 //$idCultivar=$sessao->getVar($idCultivar);
	 //$idProdutor=$sessao->getVar($idProdutor);
	 //$idAmostrador=$sessao->getVar($idAmostrador);
}


        


switch ($tela):
     case 'editar':
			$acao="nenhuma";
		    if (isset($_POST['acharDigitada']) || isset($_POST['acharAvanca'])  || isset($_POST['acharRecua']) || isset($_POST['acharUltima'])):
				$sessao->setVar('controle',0);
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
				//$sessao->setVar('amostraLong',$amostraLong);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="ficha";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
			
			);
		$generica->extras_select =" where  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			if($finalidade=="DEFINITIVA"):
			    $amostra=$resgenerica->fic_amostra;
		    else:
                $amostra=$resgenerica->fic_amostra_previa;
			endif;					

	    endwhile;
	 
		if(isset($_POST['deletaTZ'])):
           if(isset($_POST['cb_fechar'])):		
			   //echo("Deletou registros de TZ. Atualize a tela");
			   $sql="delete from rean1 where rea_teste='TZO' AND rea_ficha=".$amostraLong ;
			   $userNota = new generica();
	           $userNota->campos_valores = $sql;				 
			   $userNota->inserirEspecial($userNota);
			   $temTZO="NAO";
		       printMSG('Excluiu o registro. Escolha uma opção para direcionar seu trabalho. ','alerta');
               //vai excluir todos registros da tabela tetrazolio
			   $sql="delete from tetrazolio where tet_amostra=".$amostraLong ;
			   $userNota = new generica();
	           $userNota->campos_valores = $sql;				 
			   $userNota->inserirEspecial($userNota);
			   $temTZO="NAO";
		       printMSG('Excluiu todaa leituras desta amostra. ','alerta');

           else:
		       printMSG('Excluir TESTE TZO é uma operação que precisa confirmação, para evitar deletar acidentalmente. Primeiro clica na caixa de seleção [Sim] depois clica excluir TESTE. ','alerta');
		
		   endif; 
		endif;
	 
 
	
//////////////////////////////	
	    //ENTRA DE QUAKQUER MANEIRA
		$temTZO="NAO";
        $modoTZO="";
 	 	$generica=new tabelagenerica();
		$generica->tabela="rean1";
		$generica->campos_valores = array(
				"rea_ficha" => NULL,
				"rea_lei4" => NULL,
				"rea_v1" => NULL,
			);
		$generica->extras_select =" where   rea_teste='TZO' && rea_ficha=".$amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
		    $temTZO="SIM";
			$modoTZO=$resgenerica->rea_lei4;
			$valorTZO=$resgenerica->rea_v1;
	    endwhile;
		
        echo '<h2> Informar leituras de tetrazólios na amostra '.$amostra.' Modo TZO='.$modoTZO.' </h2> '; 
		echo("Orientação: No sistema existem 3 modos de cálculo de tetrazolio:<br>") ;
		echo("TZ1 - Para soja e feijão entrando com danos semente por semente.<br>") ;
		echo("TZ2 - Para soja e feijão passando leituras da ficha de TZ para o PC.<br>") ;
		echo("TZ3 - Para forrageiras informando viaveis de 2 repetições.<br>") ;
		echo("O sistema permite entrar em qualquer destes mas como são incompatíveis. <br>") ;
		echo("entre si é armazenada a opção incial caso precisar reentrar. <br>") ;
		echo("Existe o acesso direto que permite burlar este controle. Neste caso podem ser perdidos dados anteriores, evite isso. <br>") ;
		echo("Permite deletar um registro de TZ(Por erro de opção ou se havia informado TZ na tela: RESULTADO-->RESUMO--> BOTAO OD.) <br>") ;
		echo("Clique neste link azul para abrir a tela onde vão as leituras: <br>") ;
		
		 
		
			
//////////////////////////////		
		
		//echo("modoTZO=$modoTZO  temTZO= $temTZO amostraLong=$amostraLong<br>");



		
		if(isset($_POST['bt_acessoDireto'])):
		   $modoTZO=$_POST['modoTaba'];
	       if($modoTZO=='TZ1'):
			 ?><tr><td>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ1">TZ1-Informar dano de cada semente</a>
			 </td></tr>
			 <?php 
           endif; 


           if($modoTZO=='TZ2'):		   

			 ?><tr><td>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ2">TZ2-Transportar da ficha para o computador</a>
			 </td></tr><?php
           endif;
		   
		   if($modoTZO=='TZ3'):	
			 ?> <tr><td>
			 <a href="?m=Tetrazolio3&t=editar&modo=TZ3">TZ3-Tetrazólio Forrageiras</a>
			 </td></tr><?php
		   endif;

	       if($modoTZO=='TZ1'):
			 ?><tr><td>
			 <a href="?m=Tetrazolio2018&t=editar&modo=TZ1">Cada Semente(Botões)</a>
			 </td></tr>
			 <?php 
           endif; 
		endif;//final do isset teste direto
		


        ?> <table width="500" bgcolor="#1e00ac"> <?php
		
		
		if($temTZO=="NAO"):
             echo 'Escolha uma das opções<br>';//caso 1
             echo 'Depois de ecolher a opção e lançar dados o sistema não permite trocar opção.<br>';
             echo 'Havendo erro ao definir opção, deve optar pela remoção dos registros de tz.<br>';
             echo 'Se eventualmente foi registrado tz diretamete via OUTRAS DETERMINAÇÕES e mesmo <br>';
             echo 'assim desejar inserir leituras então deve eliminar os dados de tz.<br>';
		     ?>
             [Amostra:<?php echo($amostra)?> ] [Lote:<?php echo($lote)?> ]<br>
			 
			 <tr><td>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ1">TZ1-Informar dano de cada semente</a>
			 </td></tr> 
			 <tr><td>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ2">TZ2-Transportar da ficha para o computador</a>
			 </td></tr>
			 <tr><td>
			 <a href="?m=Tetrazolio3&t=editar&modo=TZ3">TZ3-Tetrazólio Forrageiras</a>
			 </td></tr>
			 <tr><td>
			 <a href="?m=Tetrazolio2018&t=editar&modo=TZ1">Cada semente(Botões)</a>
			 </td></tr>
			 
             <?php
        //tendo algum tzo
		else: 
           if($modoTZO==''):
		       $modoTZO = $_POST['modoTaba'];
		   endif;	   
           ?>
		   <td>
		   <fieldset>
    	   <!--<legend>Clique neste link azul para abrir a tela onde vão as leituras:</legend>	-->   
           <?php
		   if($modoTZO=='TZ1'):
			 ?>
			 <tr><td>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ1">TZ1-Informar dano de cada semente.</a>
			  </td></tr>
			 <?php 
           endif; 
		   
		   if($modoTZO=='TZ1'):
			 ?>
			 <tr><td>
			 <a href="?m=Tetrazolio2018&t=editar&modo=TZ1">Cada semente(Botões)</a>
			  </td></tr>
			 <?php 
           endif; 
   
		   

           if($modoTZO=='TZ2'):		   

			 ?>
			 <a href="?m=Tetrazolio1&t=editar&modo=TZ2">TZ2-Transportar da ficha para o computador</a>
			<?php
           endif;
		   
		   if($modoTZO=='TZ3'):	
			 ?> 
			 <a href="?m=Tetrazolio3&t=editar&modo=TZ3">TZ3-Tetrazólio Forrageiras</a>
			<?php
		   endif;
		   
		   
		   if(strlen($modoTZO)<3):	
			 ?>
             <a href="#">Provavelmente foi inserido um valor em Outras determinações(Verifique ModoTZO=<?php echo $modoTZO;?>)Caso queira ir para tetrazolio forrageira digite MODO=TZ3 OU transportar a partir da ficha digite MODO=TZ2  Se quiser informar uma por uma entao digite MODO=TZ1 Se trata de uma escolha que fica a critério do usuário pois pode provocar perda de dados.</a>
			<?php
           endif; 
		   
 	       ?>
		   </fieldset>
           </td>
           <?php	
		   
		   
		   
        endif;//pergunta se tem tzo...
        ?>
		 </table>
		<form class="userform" method="POST" action="">

		<fieldset>
		<br>Excluir dados de TZ desta amostra(Só faça isso caso tenha havido um erro na escolha da opção)<br>
        <input type="submit"  name="deletaTZ" value="Excluir dados de Tetrazólio, DESTA amostra" />
		Sim<input type="checkbox"   name="cb_fechar" />
		</fieldset>
		<br>
		
		<fieldset>
		Evite este acesso, para não perder dados já inseridos:<br>
		Modo <input type="text" size="3"  maxlength="5" name="modoTaba" value="<?php echo $modoTZO; ?>" />
		 <input type="submit"  name="bt_acessoDireto" value="Acesso direto" />
		</fieldset>
		<!--//////////navegador/////////-->
	
        <table  bgcolor="#2bc86d">
		<tr>
					<tr>
				    <td>
					Localizador de amostra:
					<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
				    <td><input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" />
        </tr> 
		</table>           



					</form> 
		
		
		
		<!--/////////fim do  do navegador////////////-->
		
		
				
		</form>
		
		
		
		<?php


     break;//FINAL DO EDITAR DO DIA 020116







	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>